/*** menu ***/

#menu__mobile {
    display: none;
}
#slideOut__menu {
    display: none;
}
#menu__desktop {
    display: block;
}

/* Desktop */
header  {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    z-index: 50000;
    background-color: white;
}
header,
header > * {
    -webkit-transition: all .25s ease-out;
    -o-transition: all .25s ease-out;
    transition: all .25s ease-out;
}

#menu__desktop {
    background-color: var(--white);
    width: 100%;
    max-width: 100%;
}
#menu__desktop .container .flex {

}
#menu__desktop .flex {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
    -webkit-box-pack: justify;
    -ms-flex-pack: justify;
    justify-content: space-between;
    transition: ease all .4s;
    height: 80px;
}
#menu__desktop .flex.container {
    width: 100%;
}





/* Logo */
#menu__desktop .logo {
    background-image: url('assets/logo.svg');
    background-size: contain;
    background-repeat: no-repeat;
    background-position: left center;
    margin-top: 10px;
}
#menu__desktop .logo img {
    opacity: 0;
    width: 175px;
    height: auto;
}

#menu__desktop .links {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
}
#menu__desktop .links a {
    margin-right: 10px;
    margin-left: 10px;
    text-decoration: none;
}
#menu__desktop .links li:first-of-type a {
    margin-left: 0;
}
#menu__desktop .links li:last-of-type a {
    margin-right: 0;
}

#menu__desktop .right button.button,
#menu__desktop .right a.button {
    /*background: rgb(106,255,161);*/
    /*background: -moz-linear-gradient(180deg, rgba(106,255,161,1) 0%, rgba(21,172,255,1) 100%);*/
    /*background: -webkit-linear-gradient(180deg, rgba(106,255,161,1) 0%, rgba(21,172,255,1) 100%);*/
    /*background: linear-gradient(180deg, rgba(106,255,161,1) 0%, rgba(21,172,255,1) 100%);*/
    /*filter: progid:DXImageTransform.Microsoft.gradient(startColorstr="#6affa1",endColorstr="#15acff",GradientType=1);*/
    /*color: var(--space);*/
    /*border-width: 0px;*/
    /*margin-right: 10px;*/
}
#menu__desktop .right a.button:hover,
#menu__desktop .right button.button:hover {
    transform: scale(1.03);
}

#menu__desktop .right a.button.contact-number {
    background: rgb(106,255,161);
    background: -moz-linear-gradient(180deg, rgba(106,255,161,1) 0%, rgba(21,172,255,1) 100%);
    background: -webkit-linear-gradient(180deg, rgba(106,255,161,1) 0%, rgba(21,172,255,1) 100%);
    background: linear-gradient(180deg, rgba(106,255,161,1) 0%, rgba(21,172,255,1) 100%);
    filter: progid:DXImageTransform.Microsoft.gradient(startColorstr="#6affa1",endColorstr="#15acff",GradientType=1);
}

#menu__desktop .right button.button.open_menu {
    background-color: var(--space);
    background: var(--space);
    border-width: 2px;
    border-color: var(--ice);
    color: var(--ice);
}



/* transparent menu */
header.navigation-transparent #menu__desktop {
    background-color: transparent;
}



/*header #menu__desktop {*/
/*    border-bottom: 1px solid var(--starling-tint-border);*/
/*}*/
/*header #menu__mobile .flex {*/
/*    border-bottom: 1px solid var(--starling-tint-border);*/
/*}*/
/* scrolled header */
header.data-scrolled #menu__desktop {
    border-bottom: 1px solid var(--starling-tint-border);
}
header.data-scrolled #menu__mobile .flex {
    border-bottom: 1px solid var(--starling-tint-border);
}





/* opacity overlay */
.slideOut__menu_overlay {
    z-index: 10000001;
    opacity: 0;
    visibility: hidden;
    position: fixed;
    top: 0;
    left: 0;
    height: 100%;
    width: 100%;
    -webkit-overlay-filter: blur(10px);
    overlay-filter: blur(10px);
}
.slideOut__menu_overlay::before { /* For overlay compatibility */
    content: '';
    position: absolute;
    height: 100%;
    width: 100%;
    background: #000000;
    opacity: 0.75;
}
.slideOut__menu_overlay.open {
    opacity: 1;
    visibility: visible;
}

/* slide out menu */
#slideOut__menu {
    z-index: 10000001;
    position: fixed;
    top: 0;
    right: -500px;
    width: 500px;
    max-width: calc(100% - 25px);
    height: 100%;
    background-color: var(--white);
    opacity: 0.4;
    transition-delay: 0s;
    transition-timing-function: ease;
    transition-duration: 0.2s;

    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
    -ms-flex-direction: column;
    flex-direction: column;
    -webkit-box-pack: justify;
    -ms-flex-pack: justify;
    justify-content: space-between;

    padding: 30px;

    -webkit-box-shadow: -30px 1px 100px 0px rgba(0,0,0,0.15);
    -moz-box-shadow: -30px 1px 100px 0px rgba(0,0,0,0.15);
    box-shadow: -30px 1px 100px 0px rgba(0,0,0,0.15);

    overflow: auto;
}
#slideOut__menu.open {
    right: 0;
    opacity: 1;
}


#slideOut__menu .top .buttons {
    margin-bottom: 80px;
}
#slideOut__menu .top button.close_menu {
    font-size: 0;
    height: 20px;
    width: 20px;
    border: none;
    background-color: transparent;
    background-size: contain;
    background-repeat: no-repeat;
    background-image: url('assets/close.svg');
}
#slideOut__menu .middle {
    padding-bottom: 50px;
}
#slideOut__menu .middle ul {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
    -ms-flex-direction: column;
    flex-direction: column;
    list-style: none;
}
#slideOut__menu .middle ul li a {
    color: var(--black);
    position: relative;
    cursor: pointer;
    font-size: 32px;
    line-height: 1.2;
    display: inline-block;
    text-decoration: none;
    font-weight: 500;
    transition: ease all .4s;
    border-radius: 5px;
    margin-top: 8px;
    margin-bottom: 8px;
}
#slideOut__menu .middle ul li a:hover {
    color: var(--black);
}

#slideOut__menu .bottom a.button {
    display: block;
    width: 100%;
}
#slideOut__menu .bottom a.button:hover {
    /*border-color: var(--space);*/
    /*background-color: var(--space);*/
    /*color: var(--ice);*/
}

/* sub menu slide out */
.sub-menu-link_tray {
    z-index: 10000001;
    position: fixed;
    top: 0;
    right: -500px;
    width: 500px;
    max-width: calc(100% - 25px);
    height: 100%;
    background-color: var(--white);
    opacity: 0.4;
    transition-delay: 0.2s;
    transition-timing-function: ease;
    transition-duration: .6s;

    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
    -ms-flex-direction: column;
    flex-direction: column;
    -webkit-box-pack: justify;
    -ms-flex-pack: justify;
    justify-content: space-between;

    padding: 30px;

    -webkit-box-shadow: -30px 1px 100px 0px rgba(0,0,0,0.15);
    -moz-box-shadow: -30px 1px 100px 0px rgba(0,0,0,0.15);
    box-shadow: -30px 1px 100px 0px rgba(0,0,0,0.15);

    overflow: auto;
}
.sub-menu-link_tray.open {
    right: 0;
    opacity: 1;
}
.sub-menu-link_tray ul {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
    -ms-flex-direction: column;
    flex-direction: column;
    list-style: none;
    margin-top: 70px;
    margin-bottom: 40px;
}
.sub-menu-link_tray ul li a {
    cursor: pointer;
    font-size: 28px;
    line-height: 1.2;
    margin-top: 8px;
    margin-bottom: 8px;
    display: inline-block;
    text-decoration: none;
    font-weight: 500;
    transition: ease all .4s;
}
.sub-menu-link_tray ul li a:hover {
    color: var(--black);
}
.sub-menu-link_tray .bottom a.button {
    display: block;
    width: 100%;
}
.sub-menu-link_tray .bottom a.button:hover {
    /*border-color: var(--space);*/
    /*background-color: var(--space);*/
    /*color: var(--ice);*/
}
.sub-menu-link_tray button.close_sub_menu {
    font-size: 14px;
    padding: 4px 12px;
}
.sub-menu-link_tray button.close_sub_menu:hover {
    border-color: var(--space);
}
/* mobile */
@media(max-width: 1199.98px) {
    #menu__desktop {
        display: none;
    }
    #menu__mobile {
        display: block;
    }



    #menu__mobile {
        background-color: transparent;
        width: 100%;
    }
    #menu__mobile .menu-transparent {
        position: fixed;
    }
    #menu__mobile .flex {
        display: -webkit-box;
        display: -ms-flexbox;
        display: flex;
        -webkit-box-align: center;
        -ms-flex-align: center;
        align-items: center;
        -webkit-box-pack: justify;
        -ms-flex-pack: justify;
        justify-content: space-between;
        transition: ease all .4s;
        padding: 20px;
    }


    /* Logo */
    #menu__mobile .logo {
        background-image: url('assets/logo.svg');
        background-size: contain;
        background-repeat: no-repeat;
        background-position: left center;
    }
    #menu__mobile .logo img {
        opacity: 0;
        width: 150px;
        height: auto;
    }

}
@media(max-width: 575.98px) {
    #menu__mobile .logo img {
        width: 130px;
    }

    #slideOut__menu,
    .sub-menu-link_tray {
        padding: 16px;
    }

    #slideOut__menu .middle ul li a {
        font-size: 26px;
    }
    .sub-menu-link_tray ul li a {
        font-size: 23px;
    }

    .sub-menu-link_tray ul {
        margin-top: 40px;
    }
    #slideOut__menu .top .buttons {
        margin-bottom: 60px;
    }

    #menu__mobile .flex {
        padding: 16px;
    }

    .sub-menu-link_tray button.close_sub_menu {
        font-size: 14px;
        padding: 4px 12px;
        border-width: 1.5px;
    }
}





/*** Top Nav Banner ***/
.top_nav_banner {
    padding: 3px;
}
.top_nav_banner .container * {
    font-size: 13px;
    line-height: 1.3;
    text-align: center;
    margin-bottom: 0;
}